unit ContactFormUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TContactForm = class(TForm)
    OKButton: TButton;
    CancelButton: TButton;
    Label1: TLabel;
    FirstNameEdit: TEdit;
    PhoneLabel: TLabel;
    PhoneEdit: TEdit;
    Label2: TLabel;
    LastNameEdit: TEdit;
    FaxEdit: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    AddressMemo: TMemo;
    Label5: TLabel;
    CellularEdit: TEdit;
    Label6: TLabel;
    EMailEdit: TEdit;
    Bevel1: TBevel;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Contact : TObject;
    NewContact : boolean;

    procedure UpdateFromContact;
    procedure UpdateToContact;
  end;

var
  ContactForm: TContactForm;

implementation

uses
  MainFormUnit;

{$R *.DFM}

{ TContactForm }

procedure TContactForm.UpdateFromContact;
var
  c : TContact;
begin
  c := Contact as TContact;

  FirstNameEdit.Text := c.FirstName;
  LastNameEdit.Text := c.LastName;
  PhoneEdit.Text := c.Phone;
  FaxEdit.Text := c.Fax;
  EMailEdit.Text := c.EMail;
  CellularEdit.Text := c.Cellular;
  AddressMemo.Clear;
  if c.Address1 <> '' then AddressMemo.Lines.Add ( c.Address1 );
  if c.Address2 <> '' then AddressMemo.Lines.Add ( c.Address2 );
end;

procedure TContactForm.UpdateToContact;
var
  c : TContact;
begin
  c := Contact as TContact;
  c.FirstName := FirstNameEdit.Text;
  c.LastName := LastNameEdit.Text;
  c.Phone := PhoneEdit.Text;
  c.Fax := FaxEdit.Text;
  c.Cellular := CellularEdit.Text;  
  c.EMail := EMailEdit.Text;
  if AddressMemo.Lines.Count >= 1 then c.Address1 := AddressMemo.Lines[0]
  else c.Address1 := '';
  if AddressMemo.Lines.Count >= 2 then c.Address2 := AddressMemo.Lines[1]
  else c.Address2 := '';

end;

procedure TContactForm.FormShow(Sender: TObject);
begin
  if not NewContact then Exit;
  FirstNameEdit.Text := '';
  LastNameEdit.Text := '';
  PhoneEdit.Text := '';
  FaxEdit.Text := '';
  EMailEdit.Text := '';
  AddressMemo.Clear;
  CellularEdit.Text := '';
  FirstNameEdit.SetFocus;
end;

end.
